メインコンテンツへスキップ
GET
List Coverage Checks

承認

Authorization
string
header
必須

API key generated from the MindFort dashboard. Pass as Authorization: Bearer <your-api-key>.

クエリパラメータ

target_id
string<uuid>

Only return checks for this target in the caller organization.

status
enum<string>[]

Repeat to include multiple coverage states.

利用可能なオプション:
not_run,
in_progress,
covered,
failing,
incomplete
limit
integer
デフォルト:100
必須範囲: 1 <= x <= 500
offset
integer
デフォルト:0
必須範囲: x >= 0

レスポンス

200 - application/json

Coverage checks returned

checks
object[]
必須
total
integer
必須
必須範囲: x >= 0
limit
integer
必須
必須範囲: 1 <= x <= 500
offset
integer
必須
必須範囲: x >= 0
next_cursor
string | null
必須